Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## java.awt
Enum Desktop.Action

    java.lang.Object
      java.lang.Enum<Desktop.Action>
          java.awt.Desktop.Action

All Implemented Interfaces:
  Serializable, Comparable<Desktop.Action>

Enclosing class:
  Desktop

    public static enum Desktop.Action

extends Enum<Desktop.Action>

Represents an action type. Each platform supports a different set of actions. You may use the `Desktop.isSupported(java.awt.Desktop.Action)` method to determine if the given action is supported by the current platform.

Since:
  1.6
See Also:
  `Desktop.isSupported(java.awt.Desktop.Action)`

Enum Constant Summary
`BROWSE` Represents a "browse" action.
`EDIT` Represents an "edit" action.
`MAIL` Represents a "mail" action.
`OPEN` Represents an "open" action.
`PRINT` Represents a "print" action.

Method Summary
`static Desktop.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Desktop.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPEN

    public static final Desktop.Action OPEN

  Represents an "open" action.

  See Also:
    `Desktop.open(java.io.File)`

### EDIT

    public static final Desktop.Action EDIT

  Represents an "edit" action.

  See Also:
    `Desktop.edit(java.io.File)`

### PRINT

    public static final Desktop.Action PRINT

  Represents a "print" action.

  See Also:
    `Desktop.print(java.io.File)`

### MAIL

    public static final Desktop.Action MAIL

  Represents a "mail" action.

  See Also:
    `Desktop.mail()`, `Desktop.mail(java.net.URI)`

### BROWSE

    public static final Desktop.Action BROWSE

  Represents a "browse" action.

  See Also:
    `Desktop.browse(java.net.URI)`

Method Detail

### values

    public static Desktop.Action[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Desktop.Action c : Desktop.Action.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Desktop.Action valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.